Task.CombineValuesIterator (Hadoop 0.20.2-CDH3B4 API)
Date: 2011-02-21

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred
Class Task.CombineValuesIterator<KEY,VALUE>

    java.lang.Object
      org.apache.hadoop.mapred.Task.CombineValuesIterator<KEY,VALUE>

All Implemented Interfaces:
  Iterator<VALUE>

Enclosing class:
  Task

    protected static class Task.CombineValuesIterator<KEY,VALUE>

extends Object

Field Summary
`protected RawKeyValueIterator` | `in`
`protected Progressable` | `reporter`

Constructor Summary
`Task.CombineValuesIterator(RawKeyValueIterator in, RawComparator<KEY> comparator, Class<KEY> keyClass, Class<VALUE> valClass, Configuration conf, Reporter reporter, Counters.Counter combineInputCounter)`

Method Summary
`boolean` | `hasNext()`
`VALUE` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### in

    protected RawKeyValueIterator in

### reporter

    protected Progressable reporter

Constructor Detail

### Task.CombineValuesIterator

    public Task.CombineValuesIterator(RawKeyValueIterator in,
                                      RawComparator<KEY> comparator,
                                      Class<KEY> keyClass,
                                      Class<VALUE> valClass,
                                      Configuration conf,
                                      Reporter reporter,
                                      Counters.Counter combineInputCounter)
                               throws IOException

Throws:
  `IOException`

Method Detail

### next

    public VALUE next()

  Specified by:
    `next` in interface `Iterator<VALUE>`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator<VALUE>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator<VALUE>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation